POST /v1/categories

Add a category to the list. Adding an existing one is safe.

Auth. Send the token in the X-Ledger-Token header.

Request body

application/json: object

FieldTypeRequiredDescription
namestringrequired

Responses

StatusMeaningBody
201AddedCategoryCreated
200Already existedCategoryCreated
400Request rejectedError
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

{
  "name": "string",
  "created": true
}

Code samples

Set KEY to your own token first.

curl

curl \
  -X POST \
  -H X-Ledger-Token:$KEY \
  -H "Content-Type: application/json" \
  -d '{"name": "string"}' \
  "https://api.sasek.org/ledger/v1/categories"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/categories", {
  method: "POST",
  headers: { "X-Ledger-Token": KEY, "Content-Type": "application/json" },
  body: JSON.stringify({
    "name": "string"
  }),
});
const data = await res.json();

Python

import json
import os
import urllib.request

payload = {'name': 'string'}

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/categories",
    method="POST",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
        "Content-Type": "application/json",
    },
    data=json.dumps(payload).encode(),
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))